import request from '@/utils/request'

//岗位列表查询
export function postList(params) {
  return request({
    url: '/api/fs4a/GetJobList/v1',
    method: 'post',
    data: params
  })
}

//组织树查询
export function tissueTreeList(params) {
  return request({
    url: '/api/fs4a/GetOrganTree/v1',
    method: 'post',
    data: params
  })
}

//新增组织
export function newOrgan(params) {
  return request({
    url: '/api/fs4a/SaveOrgan/v1',
    method: 'post',
    data: params,
    msg: '组织新增',
    Ident: 'organ_btn_save'
  })
}

//编辑组织
export function newOrganmod(params) {
  return request({
    url: '/api/fs4a/EditOrgan/v1',
    method: 'post',
    data: params,
    msg: '组织编辑',
    Ident: 'organ_btn_edit'
  })
}

//组织删除
export function organele(params) {
  return request({
    url: '/api/fs4a/DeleteOrgan/v1',
    method: 'post',
    data: params,
    msg: '组织删除',
    Ident: 'organtree_btn_del_organ'
  })
}

//组织树状态
export function tissueTreeStart(params) {
  return request({
    url: '/api/fs4a/ChangeOrganStatus/v1',
    method: 'post',
    data: params,
    msg: '组织状态变更',
    Ident: 'organtree_btn_state_switch'
  })
}

//组织详情
export function newOrganall(params) {
  return request({
    url: '/api/fs4a/GetOrganDetails/v1',
    method: 'post',
    data: params
  })
}

//职员查询
export function staffList(params) {
  return request({
    url: '/api/fs4a/GetOfficerList/v1',
    method: 'post',
    data: params
  })
}

//新增职员
export function newstaff(params) {
  return request({
    url: '/api/fs4a/SaveOfficer/v1',
    method: 'post',
    data: params,
    msg: '职员新增',
    Ident: 'officer_btn_save'
  })
}

//编辑职员
export function newstaffmod(params) {
  return request({
    url: '/api/fs4a/EditOfficer/v1',
    method: 'post',
    data: params,
    msg: '职员编辑',
    Ident: 'officer_btn_edit'
  })
}

//删除职员
export function staffListele(params) {
  return request({
    url: '/api/fs4a/DeleteOfficer/v1',
    method: 'post',
    data: params,
    msg: '职员删除',
    Ident: 'officerlist_btn_del_officer'
  })
}

//职员状态
export function staffStart(params) {
  return request({
    url: '/api/fs4a/ChangeOfficerStatus/v1',
    method: 'post',
    data: params,
    msg: '职员状态变更',
    Ident: 'officerlist_btn_state_switch'
  })
}

//职员详情
export function Staffdetails(params) {
  return request({
    url: '/api/fs4a/GetOfficerDetails/v1',
    method: 'post',
    data: params
  })
}

//根据组织获取权限
export function organizationUptree(params) {
  return request({
    url: '/api/fs4a/GetAuthTreeByOrgan/v1',
    method: 'post',
    data: params
  })
}
//根据岗位获取权限
export function postUptree(params) {
  return request({
    url: '/api/fs4a/GetAuthTreeByJob/v1',
    method: 'post',
    data: params
  })
}

//岗位详情
export function jbdetails(params) {
  return request({
    url: '/api/fs4a/GetJobDetails/v1',
    method: 'post',
    data: params
  })
}

//根据岗位获取角色
export function jbdetpop(params) {
  return request({
    url: '/api/fs4a/GetRoleByJob/v1',
    method: 'post',
    data: params
  })
}

//组织获取角色
export function organpop(params) {
  return request({
    url: '/api/fs4a/GetRoleByOrgan/v1',
    method: 'post',
    data: params
  })
}

//根据组织查询岗位列表
export function organgitpost(params) {
  return request({
    url: '/api/fs4a/GetJobListByOrgan/v1',
    method: 'post',
    data: params
  })
}
